PEF-CONFIG(8)

NAME
pef-config - manual page for pef-config. PEF Config version 0.4.6

DESCRIPTION
PEF configuration utility.

OPTIONS

--no-probing
    Do not probe IPMI devices.

-D, --driver-type=IPMIDRIVER
    Use this IPMIDRIVER instead of auto selection. Allowed values are KCS, SMIC, SSIF, LAN, and OPENIPMI.

--driver-address=DRIVERADDR
    Use this DRIVERADDR address instead of probed one.

--driver-device=DEVICE Use this DEVICE for IPMI driver.

-r, --register-spacing=EGISTERSPACING
    Use this REGISTERSPACING instead of the probed one.

-h, --hostname=IPMIHOST
    Connect to IPMIHOST.

-u, --username=USERNAME
    Use USERNAME instead of NULL. Maximum USERNAME length is 16.

-p, --password=PASSWORD
    Use PASSWORD instead of NULL. Maximum PASSWORD length is 16.

-P, --password-prompt
    Prompt for password to avoid possibility of listing it in process lists.

-a, --auth-type=AUTHTYPE
    Use AUTHTYPE instead of MD5. Allowed values are NONE, MD2, MD5, and PLAIN.

-l, --priv-level=PRIVILEGE-LEVEL
    Use this PRIVILEGE-LEVEL instead of ADMIN. Allowed values are CALLBACK, USER, OPERATOR, ADMIN and OEM.

--debug
    Turn on debugging.

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

-i, --info
    Show PEF information

-o, --checkout
    Fetch configuration information from BMC.

-c, --commit
    Update configuration information to BMC.

-d, --diff
    Show differences between BMC and config file or key pairs.

-f FILENAME, --filename=FILENAME
    Use this file for BMC checkout/commit.

-S "SECTION", --section="SECTION"
    Use SECTION for checkout. This option can be used multiple times.

-L, --listsections
    List available sections for checkout.

-v, --verbose
    Print detailed information.

EDITING THE CHECKOUT FILE
Options for editing fields in the checkout file are usually listed in a comment above the field. When there are to many options to make it practical, they are listed here in the MAN page.

Sensor_Type Options
    Reserved, Temperature, Voltage, Current, Fan, Platform_Chassis_Intrusion, Platform_Security_Violation, Processor, Power_Supply, Power_Unit, Cooling_Device, FRU_Sensor, Memory, Drive_Slot, Post_Memory_Resize, System_Firmware, Event_Logging_Disabled, Watchdog1, System_Event, Critical_Interrupt, Button, Module_Board, Microcontroller, Add_In_Card, Chassis, Chip_Set, Other_FRU, Cable_Interconnect, Terminator, System_Boot_Initiated, Boot_Error, OS_Boot, OS_Critical_Stop, Slot_Connector, ACPI_Power_State, Watchdog2, Platform_Alert, Entity_Presence, Monitor_Asic, Lan, Management_Subsystem_Health, Battery, Session_Audit, Version_Change, FRU_State, and Any

REPORTING BUGS
Report bugs to <freeipmi-devel@gnu.org>.

COPYRIGHT
Copyright © 2003,04,05 FreeIPMI Core Team. This program is free software; you may redistribute it under the terms of the GNU General Public License. This program has absolutely no warranty.